#define SQ_FORM_FILENAME	"squeak-form.ppm"

/* use non-default timing functions; see sqXWindow.c */
#undef ioMSecs
#undef ioMicroMSecs
#undef ioLowResMSecs



/* use non-default heap-allocation functions; see sqUnixMemory.c */
#undef sqAllocateMemory
#undef sqGrowMemoryBy
#undef sqShrinkMemoryBy
#undef sqMemoryExtraBytesLeft

void * sqAllocateMemory(int minHeapSize, int desiredHeapSize);
void * sqGrowMemoryBy(void *oldLimit, int delta);
void * sqShrinkMemoryBy(void *oldLimit, int delta);
int sqMemoryExtraBytesLeft(int includingSwap);
  




#ifdef sqImageFileOpen  /* this is horrible, but is necessary because
                           plugins don't include sq.h; so, we should
                           redefine these macros only when all of sq.h
                           is being used */

/* use non-default image IO functions; see sqUnixImage.c */
#undef sqImageFileOpen
#undef sqImageFileStartLocation

sqImageFile sqImageFileOpen(const char *fileName, const char *mode);
int sqImageFileStartLocation(sqImageFile file, const char *fileName, int size);


#endif
